//首页导航
$(function() {
    $('.spt-3').click(function(event) {
        //取消事件冒泡  
        event.stopPropagation();
        $('.nav2').slideToggle();
        $('.mask').toggle();
    });
    //点击空白处或者自身隐藏弹出层，下面分别为滑动和淡出效果。  
    $(document).click(function(event) {
        $('.nav2').slideUp('slow'),
        $('.mask').slideUp('slow')
    });
    $('.nav2').click(function(event) {
        event.stopPropagation();
    });
})

//分享按钮
$(function() {
    $('.share1').click(function(event) {
        var ua = navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == "micromessenger") {
            $(".sharehelper").show();
        } else {
            event.stopPropagation();
            $(".an1").show();
        }
    });
    //点击空白处或者自身隐藏弹出层，下面分别为滑动和淡出效果。  
    $(document).click(function(event) {
        $('.an1').slideUp('slow')
    });
    $('.an1').click(function(event) {
        $(this).fadeOut(1000)
    });
})

//导航
$(function() {
    $("#more").click(function() {
        if ($(".more").is(":hidden")) {
            $(".more").show();
            $('#more a').addClass('x-up');
            $('.nav').hide();
            $('.nav1').show();
            // 超出滑动
            var myScroll;
            $(function() {
                myScroll = new IScroll('#wrapper', {
                    mouseWheel: true,
                    click: true
                });
            })

        } else {
            $(".more").hide();
            $('#more a').removeClass('x-up');
            $('.nav').show();
            $('.nav1').hide();
        }
    });
})

function knowImgSize(id) {
    $(id + ' img').each(function(index, img) {
        $(this).css("max-width","100%");
        $(this).css("height","auto");
    });
}
// 初始化
$(document).ready(function() {
    knowImgSize("content");
});